# Generated by Django 2.2.28 on 2022-04-19 21:24

import django.core.validators
from django.db import migrations, models
import django.db.models.deletion
import notifications.models


class Migration(migrations.Migration):

    initial = True

    dependencies = [
    ]

    operations = [
        migrations.CreateModel(
            name='Client',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('phone_number', models.CharField(max_length=11, unique=True, validators=[django.core.validators.RegexValidator(message='The phone must be in format 7XXXXXXXXXX (X - digit 1-9)', regex='^7\\d{10}$')], verbose_name='Phone number')),
                ('mobile_operator_code', models.CharField(blank=True, max_length=3, validators=[django.core.validators.RegexValidator(message='The mobile code operator must be 3 digits', regex='^\\d{3}$')], verbose_name='Mobile operator')),
                ('tag', models.CharField(blank=True, max_length=80, verbose_name='Tag')),
                ('tz', models.CharField(default='Europe/Moscow', max_length=40, validators=[notifications.models.validate_timezone], verbose_name='Timezone')),
            ],
        ),
        migrations.CreateModel(
            name='Mailing',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('start_datetime', models.DateTimeField(help_text='Datetime when mailing will be start.', verbose_name='Start date')),
                ('end_datetime', models.DateTimeField(help_text='Datetime when mailing will be force stopped.', verbose_name='End date')),
                ('message_text', models.TextField(verbose_name='Message')),
                ('filter_tag', models.CharField(blank=True, max_length=80, verbose_name='Tag filter')),
                ('filter_mobile_operator_code', models.CharField(blank=True, max_length=3, validators=[django.core.validators.RegexValidator(message='The mobile code operator must be 3 digits', regex='^\\d{3}$')], verbose_name='Mobile operator filter')),
                ('start_time', models.TimeField(blank=True, null=True, verbose_name='Earliest time to send')),
                ('end_time', models.TimeField(blank=True, null=True, verbose_name='Latest time to send')),
                ('processed', models.BooleanField(default=False, editable=False, verbose_name='Mailing started')),
            ],
        ),
        migrations.CreateModel(
            name='Message',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('sent_time', models.DateTimeField(null=True, verbose_name='Sent time')),
                ('status', models.CharField(choices=[('wait', 'wait'), ('sent', 'sent'), ('canceled', 'canceled')], default='wait', max_length=10, verbose_name='Current status')),
                ('client', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='notifications.Client', verbose_name='Client')),
                ('mailing', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='notifications.Mailing', verbose_name='Mailing')),
            ],
        ),
    ]
